function show_vlan(ch) {
    if (!ch) {
        $("#vlan_id").hide();
        $("#vlan_prio").hide();
    } else {
        $("#vlan_id").show();
        $("#vlan_prio").show();
    }
}
function hide_netconfig(ch) {
    if (!ch) {
        $("#lan_ipaddr").hide();
        $("#lan_netmask").hide();
        $("#lan_gateway").hide();
        $("#lan_dns1").hide();
        $("#lan_dns2").hide();
        $("#lan_mtusize").hide();
        $("#lan_hostname").hide();
    } else {
        $("#lan_ipaddr").show();
        $("#lan_netmask").show();
        $("#lan_gateway").show();
        $("#lan_dns1").show();
        $("#lan_dns2").show();
        $("#lan_mtusize").show();
        $("#lan_hostname").show();
    }
}
function hide_wan(ch) {
    if (!ch) {
        $("#wan-ipaddr-tr").hide();
        $("#wan-netmask-tr").hide();
        $("#wan-gateway-tr").hide();
    } else {
        $("#wan-ipaddr-tr").show();
        $("#wan-netmask-tr").show();
        $("#wan-gateway-tr").show();
    }
}

function mode() {
    hide_netconfig($("#lan_static").prop("checked"));
    hide_wan($("#wan-static").prop("checked"));
    switch ($("select[name='lan-mode'] option:selected").val()) {
        case 'single':
            $("#bonding").hide();
            $("#wan").hide();
            $("#lan-dhcp-tr").show();
            $("#lan-gateway").show();
            $("#header-lan").show();
            $("#header-bonding").hide();
            $("input[name='dhcp']").prop("disabled",false);
            
            break;
        case 'lan-wan':
            $("#wan").show();
            $("#bonding").hide();
            $("input[name='dhcp']").prop("disabled",true);
            $("#lan-dhcp-tr").hide();
            $("#lan-gateway").hide();
            $("#lan_ipaddr").show();
            $("#lan_netmask").show();
            $("#lan_dns1").show();
            $("#lan_dns2").show();
            $("#header-lan").show();
            $("#header-bonding").hide();
            break;
        case 'bonding':
            $("#bonding").show();
            $("#wan").hide();
            $("#lan-dhcp-tr").show();
            $("input[name='dhcp']").prop("disabled",false);
            $("#lan-gateway").show();
            $("#header-lan").hide();
            $("#header-bonding").show();
            break;
        default :
            $("#bonding").hide();
            $("#wan").hide();
            $("#lan-dhcp-tr").show();
            $("input[name='dhcp']").prop("disabled",false);
            $("#lan-gateway").show();
            $("#header-lan").show();
            $("#header-bonding").hide();
            break;
    }
    
}



$(document).ready(function () {
    $("#networkform").validate({
        rules: {
            lan_mtu: {
                digits: true,
                range: [150, 1500]
            },
            vlanid: {
                digits: true,
                required: true,
                range: [1, 4094]
            },
            ipaddr: {
                verifyIP: "#lan_static:checked",
                required: "#lan_static:checked"
            },
            lan_nameserver: {
                verifyIP: "#lan_static:checked",
                required: {
                    depends: function (element) {
                        return $("#lan_nameserver2").is(":filled");
                    }
                }
            },
            lan_nameserver2: {
                verifyIP: "#lan_static:checked",
            },
            gateway: {
                verifyIP: "#lan_static:checked",
                required: "#lan_static:checked"
            },
            netmask: {
                verifyIP: "#lan_static:checked",
                required: "#lan_static:checked"
            },
            'bonding-miimon': {
                digits: true,
            },
            'bonding-updelay': {
                digits: true,
            },
            'bonding-downdelay': {
                digits: true,
            },
            'wan-ipaddr': {
                verifyIP: true,
                required: true
            },
            'wan-netmask': {
                verifyIP: true,
                required: true
            },
            'wan-gateway': {
                verifyIP: true,
                required: true
            },
        }
    });
    show_vlan($("#vlanenable").prop("checked"));
    mode();
    $("#add_route_button").click(function () {
        $("#add_route").before("<tr>" +
                "<td><strong>Route target</strong></td>"+
		"<td>"+
		"<div class=\'row\'>"+
		"<div class=\'col-lg-6\'><input name=\'route_net[]\' verifyIP=\'true\' class=\'net form-control\'></div>"+
		"<div class=\'col-lg-1\'>/</div>"+
		"<div class=\'col-lg-5\'><input name=\'route_netmask[]\' size=\'2\' class=\'netmask form-control\' digits=\'true\' required=\'true\' min=\'0\' max=\'32\' maxlength=\'2\'></div>"+
		"</div>"+
		"</td>"+
		"</tr>"+
		"<tr>"+
		"<td><strong>Route gateway</strong></td>"+
		"<td><input name=\'route_gateway[]\' verifyIP=\'true\' class=\'gateway form-control\' size=\'24\'></td>"+
                "</tr>");
    });

    $("select[name='lan-mode']").change(function () {
        mode();
    });
});
